import { StyleSheet, Dimensions, } from "react-native";
const { width: ScreenWidth } = Dimensions.get("window");
export const _cardStyle = (height, width, borderRadius, backgroundColor) => ({
    height,
    width,
    borderRadius,
    backgroundColor,
    paddingLeft: 16,
    paddingRight: 16,
    flexDirection: "row",
    alignItems: "center",
});
export const _textStyle = (checked, checkedTextColor, uncheckedTextColor) => ({
    fontSize: 16,
    marginLeft: 16,
    fontWeight: "600",
    textDecorationLine: checked ? "line-through" : "none",
    color: checked ? checkedTextColor : uncheckedTextColor,
});
export const _circleCheckContainer = (checked, circleSize, circleBorderRadius, circleBackgroundColor, circleBorderColor) => ({
    width: circleSize,
    height: circleSize,
    borderRadius: circleBorderRadius,
    borderColor: checked ? "transparent" : circleBorderColor,
    backgroundColor: checked ? circleBackgroundColor : "transparent",
    borderWidth: 2,
    alignItems: "center",
    justifyContent: "center",
});
export default StyleSheet.create({
    container: {
        width: ScreenWidth,
        alignItems: "center",
        justifyContent: "center",
    },
    rightIconContainer: {
        marginLeft: "auto",
    },
    sortIconImageStyle: {
        width: 10,
        height: 30,
    },
    textContainer: {
        width: "80%",
    },
    quantityTextStyle: {
        color: "#ccc",
        marginLeft: 16,
    },
    checkIconImageStyle: {
        width: 15,
        height: 15,
    },
});
//# sourceMappingURL=RNCheckboxCard.style.js.map